/*----------------------------------------------------------------------------
 * Name:    Blinky.c
 * Purpose: LED Flasher
 * Note(s): possible defines set in "options for target - C/C++ - Define"
 *            __USE_LCD   - enable Output on LCD
 *----------------------------------------------------------------------------
 * Modified by Antronics Ltd for use with the Arduino Due.
 * For details, see: http://www.element14.com/community/roadTestReviews/1453
 *                                                                 15 May 2013
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2011 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include <stdio.h>
#include <ctype.h>
#include "SAM3X.h"                        /* SAM3X definitions                */
#include "GLCD.h"
#include "Serial.h"
#include "LED.h"
#include "ADC.h"

#define __FI        1                        /* Font index 16x24              */
                                                                         
char text[40];

/* Import external variables from IRQ.c file                                  */
extern uint8_t  clock_1s;



/*----------------------------------------------------------------------------
  Main Program
 *----------------------------------------------------------------------------*/
int main (void) {

	char ch					 = 0;
	char hello_str[] = "\r\nHello, World!\r\n";
	
  LED_Init();                           /* LED Initialization            */
	
	SER_Init();														/* Serial Port Initialisation    */

  SysTick_Config(SystemCoreClock/100);  /* Generate interrupt each 10 ms */

	
	while( hello_str[ch] )								/* Send startup message					 */
	{
		SER_PutChar( hello_str[ch] );
		++ch;
	}

	
  while (1) 
	{                                     /* Loop forever:                           		*/
		ch = SER_GetChar();									/*    Get a character from the serial port 		*/
		if( islower(ch) )										/*    Echo it, converting lower to upper case */
		{
			SER_PutChar( toupper(ch) );
		}
		else																/* 		or vice-versa 													*/
		{
			SER_PutChar( tolower(ch) );
		}
  }
	
}
